summaryrefslogtreecommitdiffhomepage
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/toggle-app.sh3
-rwxr-xr-xbin/xmobars.sh4
2 files changed, 6 insertions, 1 deletions
diff --git a/bin/toggle-app.sh b/bin/toggle-app.sh
new file mode 100755
index 0000000..a2105ad
--- /dev/null
+++ b/bin/toggle-app.sh
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+(pidof $1 && killall $1) || ($1 &)
diff --git a/bin/xmobars.sh b/bin/xmobars.sh
index 4b49f08..ae93c15 100755
--- a/bin/xmobars.sh
+++ b/bin/xmobars.sh
@@ -4,5 +4,7 @@ killall trayer
run-trayer.sh &
killall xmobar-top
+killall xmobar-bottom
xmobar-top $* &
-toggle-xmobar-bottom.sh
+xmobar-bottom $* &
+